<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__get__elem__attrs__rsp__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_get_elem_attrs_rsp_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__get__elem__attrs__rsp__t_1ad96f072118326b685aacf75f6249248f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_get_elem_attrs_rsp_t::pdu</definition>
        <argsstring />
        <name>pdu</name>
        <briefdescription>
<para>pdu id </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1400" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1400" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__elem__attrs__rsp__t_1af3a13ea36c4e98315acde9b4a7196d4c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avrc_1ga05446fa1277163e92d7ffe155d72b072">wiced_bt_avrc_sts_t</ref></type>
        <definition>wiced_bt_avrc_sts_t wiced_bt_avrc_get_elem_attrs_rsp_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>status </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1401" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1401" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__elem__attrs__rsp__t_1a332699e0f865f923160e0ab466b33f84" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_get_elem_attrs_rsp_t::opcode</definition>
        <argsstring />
        <name>opcode</name>
        <briefdescription>
<para>Op Code (copied from avrc_cmd.opcode by AVRC_BldMetaDataRsp user. </para>
        </briefdescription>
        <detaileddescription>
<para>invalid one to generate according to pdu) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1402" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1402" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__elem__attrs__rsp__t_1a2497beb54479959516e99abf468bc969" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_get_elem_attrs_rsp_t::num_attr</definition>
        <argsstring />
        <name>num_attr</name>
        <briefdescription>
<para>number of attributes </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1403" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1403" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__get__elem__attrs__rsp__t_1a164fc06b2f508b5f5ca791e41848557b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__attr__entry__t">wiced_bt_avrc_attr_entry_t</ref> *</type>
        <definition>wiced_bt_avrc_attr_entry_t* wiced_bt_avrc_get_elem_attrs_rsp_t::p_attrs</definition>
        <argsstring />
        <name>p_attrs</name>
        <briefdescription>
<para>list of attributes to get </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1404" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1404" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GetElemAttrs. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="153">
        <label>wiced_bt_avrc_full_name_t</label>
        <link refid="structwiced__bt__avrc__full__name__t" />
      </node>
      <node id="151">
        <label>wiced_bt_avrc_get_elem_attrs_rsp_t</label>
        <link refid="structwiced__bt__avrc__get__elem__attrs__rsp__t" />
        <childnode refid="152" relation="usage">
          <edgelabel>p_attrs</edgelabel>
        </childnode>
      </node>
      <node id="152">
        <label>wiced_bt_avrc_attr_entry_t</label>
        <link refid="structwiced__bt__avrc__attr__entry__t" />
        <childnode refid="153" relation="usage">
          <edgelabel>name</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="1405" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1398" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1399" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__get__elem__attrs__rsp__t_1a2497beb54479959516e99abf468bc969" virt="non-virtual"><scope>wiced_bt_avrc_get_elem_attrs_rsp_t</scope><name>num_attr</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__elem__attrs__rsp__t_1a332699e0f865f923160e0ab466b33f84" virt="non-virtual"><scope>wiced_bt_avrc_get_elem_attrs_rsp_t</scope><name>opcode</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__elem__attrs__rsp__t_1a164fc06b2f508b5f5ca791e41848557b" virt="non-virtual"><scope>wiced_bt_avrc_get_elem_attrs_rsp_t</scope><name>p_attrs</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__elem__attrs__rsp__t_1ad96f072118326b685aacf75f6249248f" virt="non-virtual"><scope>wiced_bt_avrc_get_elem_attrs_rsp_t</scope><name>pdu</name></member>
      <member prot="public" refid="structwiced__bt__avrc__get__elem__attrs__rsp__t_1af3a13ea36c4e98315acde9b4a7196d4c" virt="non-virtual"><scope>wiced_bt_avrc_get_elem_attrs_rsp_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>